\# Campus School Code

import board, busio, sdcardio, storage, random
import time, neopixel, digitalio
from audiopwmio import PWMAudioOut as AudioOut
from audiomp3 import MP3Decoder
from adafruit_debouncer import Button
from adafruit_led_animation.color import (
    AMBER, #(255, 100, 0)
    AQUA, # (50, 255, 255)
    BLACK, #OFF (0, 0, 0)
    BLUE, # (0, 0, 255)
    CYAN, # (0, 255, 255)
    GOLD, # (255, 222, 30)
    GREEN, # (0, 255, 0)
    JADE, # (0, 255, 40)
    MAGENTA, #(255, 0, 20)
    OLD_LACE, # (253, 245, 230)
    ORANGE, # (255, 40, 0)
    PINK, # (242, 90, 255)
    PURPLE, # (180, 0, 255)
    RED, # (255, 0, 0)
    TEAL, # (0, 255, 120)
    WHITE, # (255, 255, 255)
    YELLOW, # (255, 150, 0)
    RAINBOW # a list of colors to cycle through
    # RAINBOW is RED, ORANGE, YELLOW, GREEN, BLUE, and PURPLE ((255, 0, 0), (255, 40, 0), (255, 150, 0), (0, 255, 0), (0, 0, 255), (180, 0, 255))
)


sck = board.GP10
si = board.GP11
so = board.GP12
cs = board.GP13
spi = busio.SPI(sck, si, so)
sdcard = sdcardio.SDCard(spi, cs)
vfs = storage.VfsFat(sdcard)
storage.mount(vfs, "/sd")

button = digitalio.DigitalInOut(board.GP15) # Wired to pin GP15
button.switch_to_input(pull=digitalio.Pull.UP)

strip = neopixel.NeoPixel(board.GP14, 20)
WHITE = (255,255,255)
BLACK = (0,0,0)
colors = [ AMBER,
    AQUA,
    BLUE,
    CYAN,
    GOLD,
    GREEN,
    JADE,
    MAGENTA,
    OLD_LACE,
    ORANGE,
    PINK,
    PURPLE,
    RED,
    TEAL,
    WHITE,
    YELLOW]

path = "/sd/FinalProjectSounds/"
audio = AudioOut(board.GP16)

filename = "[Name of your first sound file].mp3"
mp3_file = open(path + filename, "rb")
decoder = MP3Decoder(mp3_file)

sounds = [List your sound file names here
]

def play_mp3(filename):
    global count
    try:
        decoder.file = open(path + filename, "rb")
        audio.play(decoder)
        count = count + 1
        while audio.playing:
            random_light = random.randint(0,19)
            random_light_2 = random.randint(0,19)
            if random_light_2 == random_light:
                random_light_2 = random.randint(0,19)
            strip[random_light] = random.choice(colors)
            strip[random_light_2] = random.choice(colors)
            time.sleep(0.1)
            strip.fill(BLACK)
    except OSError:
        print(f"No such file/directory: {path + filename}")

count = 0

while True:
    if button.value == False:
        print(f"Now playing sound: {sounds[count]}")
        play_mp3(sounds[count])
        print(count)
    else:
        strip.fill(BLACK)

    if count > 6:
        count = 0


